var url_client_get_all = "http://aesthetic-tech.com/wow/services/web/client_get_all.php";

var url_client_register = "http://aesthetic-tech.com/wow/services/web/client_reg.php";


var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicity call 'app.receivedEvent(...);'
    onDeviceReady: function() {
        pictureSource = navigator.camera.PictureSourceType;
        destinationType = navigator.camera.DestinationType;
        app.receivedEvent('deviceready');
    },
    // Update DOM on a Received Event
    receivedEvent: function(id) {



    }
};

function convertImgToBase64(url, callback, outputFormat) {
    var canvas = document.createElement('CANVAS'),
        ctx = canvas.getContext('2d'),
        img = new Image;
    canvas.setAttribute("id", "canvas_img");
    canvas.style.display = "none";
    img.crossOrigin = 'Anonymous';
    img.onload = function() {
        var dataURL;
        canvas.height = img.height;
        canvas.width = img.width;
        ctx.drawImage(img, 0, 0);
        dataURL = canvas.toDataURL("image/gif");
        callback.call(this, dataURL);
        canvas = null;
    };
    img.src = url;
}

function onPhotoURISuccess(imageURI) {
    convertImgToBase64(imageURI, function(base64Img) {
        // Base64DataURL
        $('#exe_name').text(base64Img);
    });
}

function onFail(message) {
    alert('Failed because: ' + message);
}

function getPhoto(source) {
    // Retrieve image file location from specified source
    navigator.camera.getPicture(onPhotoURISuccess, onFail, {
        quality: 50,
        destinationType: destinationType.FILE_URI,
        sourceType: source
    });
}


/*function readImage(input) {
    if (input.files && input.files[0]) {
        var FR = new FileReader();
        FR.onload = function(e) {
            $('#exe_name').text(e.target.result);
            //alert(e.target.result);
        };
        FR.readAsDataURL(input.files[0]);
    }
}


$("#file_upload").change(function() {
    readImage(this);
});*/

function upload_exercise() {
    //var image_data = "'" + $('#exe_name').text() + "'";
    var image_data = "szfsdfs";
    //alert(image_data);
    var name = document.getElementsByName("exercise_name")[0].value;
    var weight = document.getElementsByName("exercise_weight")[0].value;
    var sets = document.getElementsByName("exercise_sets")[0].value;
    var reps = document.getElementsByName("exercise_reps")[0].value;
    var token = localStorage.getItem("token");
    var user_id = localStorage.getItem("user_id");
    //alert(image_data);
    if (sets == null || reps == null || weight == null || sets == "" || reps == "" || weight == "") {
        alert("Values cannot be null");
    } else {

        $.ajax({
            url: 'http://aesthetic-tech.com/wow/services/web/client_reg.php',
            type: 'POST',
            dataType: "Json",
            data: {
                'user_id': user_id,
                'token': token,
                'function': 'setExercise',
                'Json': '{"exe_name":"' + name + '","rep":"' + reps + '","Weight":"' + weight + '","exe_set":"' + sets + '"}',
                'data': image_data
            },
            success: function(data) {
                if (data.Error == true)
                    alert("Invalid data suppiled");
                else {
                    alert("Exercise added");
                    location.replace("add-exercise.html");
                }

            }
        });
    }
}
